Erreur de compilation pour la carte Arduino Mega ou Mega 2560

Bonjour tout le monde!
Je rencontre un souci avec l’éditeur Arduino, lorsque je lance le vérificateur j’ai le message “C: \ Program Files \ Arduino \ arduino-builder a retourné 2 Erreur de compilation pour la carte Arduino Mega ou Mega 2560” qui s’affiche.
Je ne comprend ce qui se passe alors que le code que je test a toujours fonctionné…
il y a qq jours j’ai fait une mise à jour de l’éditeur vers la dernière version et depuis je rencontre des problèmes…
J’ai désinstallé la dernière version pour remettre la 1.81.0 qui fonctionnait très bien mais j’ai toujours le message d’erreur…
Je joint le code pour que vous puissiez vérifier si une s’est glisser suite à une fausse manœuvre?
D’avance merci
Cordialement.

Heure_date_jour_temperature_humidite.ino (6.54 KB)

Bonjour,

Je travaille sur une Mega 2560 PRO et n'ai pas rencontré de problème récemment. Je suis en 1.8.13 sous Linux.

Je te conseille de mettre le message d'erreur complet, au cas ou...

Bonsoir pierbout, Voici en PJ le message d’erreur complet
Merci
Cordialement @+

Erreur de compilation.txt (11.7 KB)

Bonsoir

en mettant le message d'erreur en pièce jointe , tu te prives des réponses des personnes accédant au forum par smartphone? les pièces jointes sont à réserver aux cas particuliers (taille excessive pour être intégré au message)

al1fch:
Bonsoir

en mettant le message d'erreur en pièce jointe , tu te prives des réponses des personnes accédant au forum par smartphone? les pièces jointes sont à réserver aux cas particuliers (taille excessive pour être intégré au message)

je n'ai pas d'autre solution car sa dépasse la taille maxi des caractéres autorisés...
@+

panic: runtime error: invalid memory address or nil pointer dereference
[signal 0xc0000005 code=0x0 addr=0x0 pc=0x7855fb]

J'ai désinstallé la dernière version pour remettre la 1.81.0 qui fonctionnait très bien mais j'ai toujours le message d'erreur...

C'est ce que j'aurais fait aussi, mais peut-être faut-il balancer le répertoire arduino15 ?

"peut-être faut-il balancer le répertoire arduino15 ?"
Je le trouve où le répertoire "arduino15"?
Pour faire simple je fait quoi car je suis loin d'être un expert...
Merci à vous
Cordialement

Loulou17700:
Je le trouve où le répertoire "arduino15"?

Ne sais-tu donc pas chercher un fichier sur un ordinateur ?
C'est peut-être un pré-requis avant de se lancer dans la programmation ...

Bonjour

Il faut étendre la recherche aux dossiers et fichiets cachés

Bonjour à tous,
J'ai trouvé le dossier "arduino15" et supprimé.
en fait le dossier se trouvait sur un autre HDD qui me sert de backup mais pas sur mes HDD de travail...
Au début je cherchais sur "C:\Program Files\Arduino" et là rien.
donc le répertoire (dossier) est supprimé mais le message d'erreur est toujours là.
Est ce que ça ne pourrait pas venir du code en lui même ou d'une Bibliotheque ?
Ce qui me fait dire ça c'est que lorsque je charge un autre code tout se passe bien...
Si vous pouviez tester le code pour voir si sa viens de mon PC?
Cordialement @+

Bonjour à tous,
je reviens vers vous après plusieurs essais sur plusieurs PC avec toujours le même résultat "C: \ Program Files \ Arduino \ arduino-builder a retourné 2 Erreur de compilation pour la carte Arduino Mega ou Mega 2560"
Ce qui me laisse fortement croire que c'est mon code qui a un bug...
Mes compétences en la matière sont limitées si vous pouviez regarder ce qui cloche se serait sympa.
D'avance merci à vous.
@++

Le code compile chez moi.

A l'endroit où ta compilation plante :

-> candidates: [DHT_sensor_library-1.3.0@1.3.0 DHT_sensor_library@1.4.0]

Mes versions de librairies :

  -> candidates: [Adafruit-GFX-Library@1.7.5]
  -> candidates: [TFTLCD-Library@1.0.3]
  -> candidates: [SoftwareSerial@1.0]
  -> candidates: [Wire@1.0]
  -> candidates: [MCUFRIEND_kbv@2.9.9-Beta]
  -> candidates: [DHT_sensor_library@1.3.8 DHT-sensor-library@1.3.0]
  -> candidates: [SPI@1.0]
  -> candidates: [Adafruit_Sensor@1.1.2]

C'est une erreur interne du builder.
Je te conseille de mettre à jour tes librairies, en commençant par DHT_sensor_library.

Merci hbachetti pour ton aide.
Je vais vérifier mes librairies et refaire des tests
@++

Bonjour,

Mets à jour ta librairie Adafruit_TFTLCD

Bingo! c'est bon tout est rentré dans l'ordre
La vérification ne me donne plus d'erreur :smiley:
Je suis sur la version 1.8.5 est ce que je peut passer à la 1.8.10 sans que cela me mette la zone?
@++

A essayer, ou 1.8.11, ou plus ...

Bonjour à tous et toutes!
Bon j'ai enfin fini par trouver et résoudre le problème...
En fait c'était tout bête, il y a des librairies qui je ne sais pas par quel hasard étaient venues se logées dans le répertoire de mon code et mettaient la zone, du fait quelles devaient êtres lues en priorités...
Je les ai supprimées et comme par magie tout est rentrè dans l'ordre. :slight_smile:
Une chose est sure c'est que je vais mieux dormir :sleeping:
Je suis sur la version 1.8.9 et je ne touche plus à rien!!!
Allez bonne fêtes à vous toutes et tous.
Encore Merci à ceux qui m'ont aidé.
@++